edu.sc.seis.sod.status.networkArm

## Class VelocityStationGetter

- java.lang.Object
- - edu.sc.seis.sod.status.networkArm.VelocityStationGetter

-     public class VelocityStationGetter
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VelocityStationGetter(edu.iris.Fissures.IfNetwork.NetworkId net)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumFailed(edu.iris.Fissures.network.StationImpl station)`
    `int` | `getNumRetry(edu.iris.Fissures.network.StationImpl station)`
    `int` | `getNumSuccessful(edu.iris.Fissures.network.StationImpl station)`
    `java.util.List<edu.iris.Fissures.network.StationImpl>` | `getSuccessful()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VelocityStationGetter

          public VelocityStationGetter(edu.iris.Fissures.IfNetwork.NetworkId net)

  - ### Method Detail

    - #### getSuccessful

          public java.util.List<edu.iris.Fissures.network.StationImpl> getSuccessful()
                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNumSuccessful

          public int getNumSuccessful(edu.iris.Fissures.network.StationImpl station)
                               throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumFailed

          public int getNumFailed(edu.iris.Fissures.network.StationImpl station)
                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumRetry

          public int getNumRetry(edu.iris.Fissures.network.StationImpl station)
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`